Description

On Wed, 2011-09-07 at 23:00 +0200, Johannes Wienke wrote:

Am 07.09.2011 22:12 schrieb Jan Moringen:

Hallo Johannes,

ich habe gerade kurz in die Eventld-Klasse geschaut. Ich habe jetzt
keine Lust einen Issue zu schreiben: wére es nicht in den<- und
==-Operatoren in den meisten Féllen schneller, erst sequenceNumber
(billig, oft verschieden) und dann participantld (teuer, manchmal nicht
verschieden) zu vergleichen?

Hm, stimmt, wiirde allerdings irgendwie unintuitive Sortierungen
erzeugen. Ich weif3 nicht wie schlimm das ist?

Ich finde Sortierung, die sich dann ergibt zwar auch unnatirlich, aber
eigentlich gibt es operator< doch nur, damit die Objekte als Key in
std::map funktionieren, oder?

History

#1 - 09/09/2011 02:17 PM - J. Wienke
- Estimated time set to 0.20

#2 - 09/12/2011 03:56 PM - J. Wienke

- Status changed from New to In Progress

#3 - 09/12/2011 04:14 PM - J. Wienke
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

applied in r2565

#4 - 10/27/2011 08:28 PM - J. Moringen
- Target version changed from rsb-0.10 to 0.5
